Skip to Content
veriom

Intent revision history

GET
/v1/workspaces/{workspace_id}/architecture-intent/versions/{version_id}/history

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
version_id*Version Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/history'
Example Response
{  "has_more": false,  "items": [    {      "action": "string",      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",      "actor_name": "string",      "content_sha256": "string",      "created_at": "2019-08-24T14:15:22Z",      "document": {        "closed_scope": false,        "decisions": [          {            "accepted_tradeoff": "",            "conditions": [              {                "id": "string",                "predicates": [                  {                    "allowed_source_keys": [                      "string"                    ],                    "attribute": "string",                    "expected": "string",                    "key": "string",                    "kind": "entity_present",                    "relationship_kinds": [                      "string"                    ],                    "required_sources": [                      "code"                    ]                  }                ],                "title": "string"              }            ],            "decision": "string",            "expires_at": "2019-08-24T14:15:22Z",            "guardrails": [              {                "id": "string",                "predicates": [                  {                    "allowed_source_keys": [                      "string"                    ],                    "attribute": "string",                    "expected": "string",                    "key": "string",                    "kind": "entity_present",                    "relationship_kinds": [                      "string"                    ],                    "required_sources": [                      "code"                    ]                  }                ],                "title": "string"              }            ],            "id": "string",            "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",            "provenance": [              {                "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",                "content_sha256": "string",                "evidence_ids": [                  "973ab5a6-b373-447d-ab9d-bdb660b35afc"                ],                "kind": "editor",                "observed_at": "2019-08-24T14:15:22Z",                "source_ref": "string",                "source_revision": "string"              }            ],            "rationale": "string",            "review_at": "2019-08-24T14:15:22Z",            "subject_keys": [              "string"            ],            "supporting_keys": [              "string"            ]          }        ],        "elements": [          {            "description": "",            "disposition": "intended",            "entity_kind": "string",            "key": "string",            "kind": "entity",            "name": "string",            "origin": "observed",            "relationship_kind": "string",            "required_sources": [              "code"            ],            "source_key": "string",            "target_key": "string"          }        ],        "flows": [          {            "description": "string",            "id": "string",            "name": "string",            "requirement_ref": "string",            "transitions": [              {                "description": "string",                "direction": "source-to-destination",                "relationship_key": "string",                "sequence": 0              }            ]          }        ],        "invariants": [          {            "id": "string",            "predicates": [              {                "allowed_source_keys": [                  "string"                ],                "attribute": "string",                "expected": "string",                "key": "string",                "kind": "entity_present",                "relationship_kinds": [                  "string"                ],                "required_sources": [                  "code"                ]              }            ],            "title": "string"          }        ],        "maximum_age_seconds": 86400,        "minimum_confidence": 0.7,        "required_sources": [          "code"        ],        "schema_version": "architecture-intent-v1",        "scope": {          "branch_ref": "string",          "environment": "string",          "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",          "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"        },        "title": "string"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "provenance": {        "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",        "content_sha256": "string",        "evidence_ids": [          "973ab5a6-b373-447d-ab9d-bdb660b35afc"        ],        "kind": "editor",        "observed_at": "2019-08-24T14:15:22Z",        "source_ref": "string",        "source_revision": "string"      },      "revision": 0,      "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c"    }  ],  "next_cursor": "string"}